Проблема с openSSL 1.0.2, работающая с CentOS 5.11

Я надеюсь, что кто-то поможет мне понять, что я пропустил здесь. В моем офисе есть несколько старых серверов REHL 5.11, на которых мне нужно обновить openSSL, чтобы воспользоваться последней версией TLS. Чтобы понять это, я создал виртуальный сервер CentOS 5.11.

Я нашел это руководство: https://miteshshah.github.io/linux/centos/how-to-enable-openssl-1-0-2-a-tlsv1-1-and-tlsv1-2-on-centos-5 и-RHEL5 /

К сожалению, после выполнения всех шагов я получаю эту ошибку:

curl: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory 

Я не могу понять, почему я получаю эту ошибку. Любая помощь / совет?

One Solution collect form web for “Проблема с openSSL 1.0.2, работающая с CentOS 5.11”

Ошибка показывает, что программа не может найти библиотеку libssl.so.1.0.0

Чтобы программы могли находить общие библиотеки, их местоположение должно быть указано в LD_LIBRARY_PATH среды LD_LIBRARY_PATH .

Включите путь к libssl.so.1.0.0 содержащий каталог в указанной переменной окружения, и любое программное обеспечение сможет загрузить его.

  • Как криптографически подписывать конкатенацию открытых ключей с openssl Ask Question
  • скрипт, чтобы проверить, действительно ли сертификат SSL
  • Поддерживает ли Apache 2.2.3 TLSv1.1 и TLSv1.2?
  • Где и как я могу получить и установить сертификаты на новую установку OpenSSL?
  • Clamav configure: ошибка: в вашей установке OpenSSL отсутствует функция X509_VERIFY_PARAM
  • Шифровать слово X для шифрования / etc / shadow
  • php: компиляция с openssl, ftp, ldap, поддержка curl в debian gnu / linux
  • Проблема с openssl при установке apache 2.4.23
  • Установка разделяемых библиотек OpenSSL на CentOS 6.5
  • Включение наборов экспортных шифров в Apache / OpenSSL
  • Как определить, какая версия OpenSSL установлена?
  • Linux и Unix - лучшая ОС в мире.